Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://apigw.ipxo.com/billing/v1/{tenantUUID} \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://apigw.ipxo.com/billing/v1/{tenantUUID}"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://apigw.ipxo.com/billing/v1/{tenantUUID}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://apigw.ipxo.com/billing/v1/{tenantUUID}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://apigw.ipxo.com/billing/v1/{tenantUUID}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://apigw.ipxo.com/billing/v1/{tenantUUID}") .header("Authorization", "Bearer <token>") .asString();
require 'uri'require 'net/http'url = URI("https://apigw.ipxo.com/billing/v1/{tenantUUID}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = 'Bearer <token>'response = http.request(request)puts response.read_body
{ "uuid": "string", "title": "string", "email": "string", "business_since": "string", "company_size": "string", "address1": "string", "address2": "string", "city": "string", "postcode": "string", "country": "string", "state": "string", "status": "string", "abuse_email": "string", "created_at": 0, "options": [ { "key": "string", "value": {} } ], "meta": [ { "key": "string", "value": "string" } ], "industry": { "uuid": "string", "name": 0 }, "credit": { "uuid": "string", "amount": 0, "auto_payment": true }, "summary": "string", "logo": { "image": "string" }, "payment_gateways": [ "string" ], "flags": [ { "uuid": "string", "slug": "string" } ], "status_reason": { "uuid": "string", "slug": "string", "title": "string" }, "vat_number": "string", "vat_validated_at": "string", "vat_validation_status": "valid" }
Get Single Tenant information
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
Tenant
Show child attributes
valid
invalid
failed